from pathlib import Path


def create_project():
    root_path = Path('Crawler')
    root_path.mkdir()
    with open(root_path / 'main.py', 'w') as file:
        file.write("""from crawler.crawler import Crawler
from init_clean import init_clean
from depth_clean import depth_clean

config = {
    'entrance_urls': [],
    'init_clean': init_clean,
    'depth_clean': depth_clean,
    'header': None,
}

if __name__ == '__main__':
    crawler = Crawler(config=config)
    crawler.run()
""")
    with open(root_path / 'init_clean.py', 'w') as file:
        file.write("""# Initial processing of the response.
# Need to return two lists, the first is the url list for the detail page, and the second is the list of download
# coroutine functions (can be None).


async def init_clean(crawler, resp):
    return [], []
""")
    with open(root_path / 'depth_clean.py', 'w') as file:
        file.write("""# Depth processing of the response.
# Need to return (can be not return) the list of download coroutine functions (can be None).


async def depth_clean(crawler, resp):
    return []
""")
